  <?php
  session_start();
  ?>
  <script>

    $(function () {
//ready
//ready
$('.select2').select2();
const Toast = Swal.mixin({
  toast: true,
  position: 'top-end',
  showConfirmButton: false,
  timer: 3000
});
$(document).ready(function(e) {
});
var wp_table = $("#ingresos_total").DataTable({
  paging:   false,
  ordering: false,
  info:     false,
  searching: false,
  responsive: {
    details: {
      type: 'column'
    }
  },
  columnDefs: [ {
    className: 'control',
    orderable: false,
    targets:   0
  } ],
  order: [ 1, 'asc' ],
  autoWidth: true,
  bProcessing: false,
  bServerSide: false,
  bInfo: false,
  columns: [
  { data: 'id' , render: function(data, type, row){
    return cel(data, row.id);
  }},
  { data: 'fecha',className: "tdcentrado" },
  { data: 'depositos',className: "tdcentrado" },
  { data: 'transferencias',className: "tdcentrado" },
  { data: 'soles_total',className: "tdcentrado" },
  ],
});


var wp_table1 = $("#egresos_total").DataTable({
  paging:   false,
  ordering: false,
  info:     false,
  searching: false,
  responsive: {
    details: {
      type: 'column'
    }
  },
  columnDefs: [ {
    className: 'control',
    orderable: false,
    targets:   0
  } ],
  order: [ 1, 'asc' ],
  autoWidth: true,
  bProcessing: false,
  bServerSide: false,
  bInfo: false,
  columns: [
  { data: 'id' , render: function(data, type, row){
    return cel(data, row.id);
  }},
  { data: 'fecha',className: "tdcentrado" },
  { data: 'depositos',className: "tdcentrado" },
  { data: 'transferencias',className: "tdcentrado" },
  { data: 'soles_total',className: "tdcentrado" },
  ],
});



//Campo vacio para responsive//
function cel(wpid, wpactive) {
  actions_cell = '';
  return actions_cell;
}

//dataTable_init();
//Eliminar item a plan//
var cuentas_bancarias_f= function (){
  data = {'option':'<?php echo $decryp->encryptroute('view/system_payments/query_bank_accounts')?>'};
  $.post('../core/process.php', data)
  .done(function(resp){
    $('#cuentas_bancarias').empty().append(new Option('Seleccione',''));
    $.each(resp.datos, function (k, v) {
     var nombre=v.banco+'-'+v.num_cuenta;
     $('#cuentas_bancarias').append('<option id="cuentas_bancarias_'+v.id+'" data-titular="'+v.titular+'" data-cuenta="'+v.num_cuenta+'" data-saldo="'+v.saldo+'" value="'+v.id+'">'+nombre+'</option>');
   });
  }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   toastr.error(resp.msg);
 }
});
};
cuentas_bancarias_f();

//Detalles de propiedad//
$(document).on('click', '.details_balance', function(e){
  var cuenta = $("#cuentas_bancarias").val();
  var id = $(this).data('data1');
  var fecha = $("#fecha_search").val();
  if (typeof id == 'undefined' || id === null || id === '' || typeof cuenta == 'undefined' || cuenta === null || cuenta === '') {  
    toastr.error('<?php echo $_SESSION['lang']['REQUERIDOS1']?>');
  } else {
    data = {'option':'<?php echo $decryp->encryptroute('view/reports/query_reports')?>','cuenta':cuenta,'fecha':fecha,'saldo':id};
    $.post('../core/process.php', data)
    .done(function(resp){ 
      $('#saldos_del_dia').hide();
      $('#datos_de_balance').show(); 
      $.each(resp.datos, function (k, v) {
        $('#banco_cuenta').html('<span style="color: red">Banco: </span> <b>'+v.banco+'</b>');
        $('#titular_cuenta').html('<span style="color: red">Titular: </span> <b>'+v.titular+'</b>');
        $('#numero_cuenta').html('<span style="color: red">Numero de Cuenta: </span> <b>'+v.num_cuenta+'</b>');
        $('#saldo_actual').html('<span style="color: red">Saldo Actual: </span> <b>'+v.saldo+'</b>');
        $('#fecha_cuenta').html('<span style="color: red">Fecha: </span> <b>'+v.fecha+'</b>');
        $('#saldo_inicial').html('<span style="color: red">Saldo Inicial: </span> <b>'+v.saldo_initial+'</b>');
        //$( '#url_movimientos' ).data('data1',v.url_movimientos);
        $("#url_movimientos").attr("href", "<?php echo $url_admin;?>reporte_transacciones/"+v.url_movimientos+"/");
      });
      $.each(resp.pagos_sistema, function (a, b) {
        var depositos=(b.depositos === null || b.depositos === '') ? 0 : b.depositos ;
        var soles_depositos=(b.soles_depositos === null || b.soles_depositos === '') ? 0 : b.soles_depositos ;
        var transferencia=(b.transferencia === null || b.transferencia === '') ? 0 : b.transferencia ;
        var soles_transferencia=(b.soles_transferencia === null || b.soles_transferencia === '') ? 0 : b.soles_transferencia ;
        var pagos_total=(b.pagos_total === null || b.pagos_total === '') ? 0 : b.pagos_total ;
        var total=(b.total === null || b.total === '') ? 0 : b.total ;

        $('#total_depositos').html(depositos);
        $('#soles_depositos').html('s/'+soles_depositos);
        $('#total_transferencia').html(transferencia);
        $('#soles_transferencia').html('s/'+soles_transferencia);
        $('#pagos_total').html(pagos_total);
        $('#total_soles').html('s/'+total);
      });

      wp_table = $("#ingresos_total").DataTable();
      wp_table.clear();
      $.each(resp.total_ingresos, function (k, v) {
        wp_table.row.add(v);
      });
      wp_table.draw();
      wp_table.columns.adjust().responsive.recalc();

      wp_table1 = $("#egresos_total").DataTable();
      wp_table1.clear();
      $.each(resp.total_egresos, function (k, v) {
        wp_table1.row.add(v);
      });
      wp_table1.draw();
      wp_table1.columns.adjust().responsive.recalc();

    }).fail( function(jqXHR, textStatus, errorThrown) {
     var resp=jqXHR.responseJSON;
     var status=jqXHR.status;
     if(status == 401){
      toastr.error(resp.msg);
      logout();
    }else{
     toastr.error(resp.msg);
   }
 });
  }
});

//Detalles de propiedad//
$(document).on('change', '#cuentas_bancarias', function(e){
  var id = $(this).val();
  var fecha = $("#fecha_search").val();
  $('#saldos_del_dia').hide(); 
  $('#datos_de_balance').hide(); 

  if (typeof id == 'undefined' || id === null || id === '') {  
    toastr.error('Seleccione cuenta');
  } else {
   balances_day(id,fecha);
 }
});

//Detalles de propiedad//
$(document).on('change', '#fecha_search', function(e){
  var id = $("#cuentas_bancarias").val();
  var fecha = $(this).val();
  $('#saldos_del_dia').hide();
  $('#datos_de_balance').hide(); 

  if (typeof id == 'undefined' || id === null || id === '') {  
    toastr.error('Seleccione cuenta');
  } else {
   balances_day(id,fecha);
 }
});

function balances_day(id,fecha){
  if (typeof id == 'undefined' || id === null || id === '') {  
    toastr.error('<?php echo $_SESSION['lang']['REQUERIDOS1']?>');
  } else {
    data = {'option':'<?php echo $decryp->encryptroute('view/reports/query_balances')?>','cuenta':id,'fecha':fecha};
    $.post('../core/process.php', data)
    .done(function(resp){ 

      $('#saldos_del_dia').show(); 

      $('#datos_saldos').html(''); 
      if (resp.datos.length == 0) {
        $('#datos_saldos').html('<div class="callout callout-danger"><h5 style="color:red;">No posee saldo activo para el dia</h5></div>'); 
      }else{
        $.each(resp.datos, function (k, v) {
          var color=(v.status == "1") ? "success" : "danger";
          var status=(v.status == "1") ? "Activa" : "Cerrada";
          $('#datos_saldos').append('<div class="callout callout-success"><h5>Fecha: '+v.fecha+'</h5><p><span class="badge badge-'+color+'">'+status+'</span></p><p>Saldo Inicial= '+v.saldo_inicial+'</p><p>Saldo Actual= '+v.saldo+'</p><button class="btn btn-primary details_balance" data-data1="'+v.id+'" >Ver Detalles</button></div>');
        });}
      }).fail( function(jqXHR, textStatus, errorThrown) {
       var resp=jqXHR.responseJSON;
       var status=jqXHR.status;
       if(status == 401){
        toastr.error(resp.msg);
        logout();
      }else{
       toastr.error(resp.msg);
     }
   });
    }


  }

//Volver//
$(document).on('click', '#volver', function(e){
  $('#saldos_del_dia').show(); 
  $('#datos_de_balance').hide(); 
});


//END//
});
</script>